net.sourceforge.pmd.dcd.graph

## Interface NodeVisitorAcceptor

- All Known Implementing Classes:
    ClassNode, ConstructorNode, FieldNode, MemberNode, MethodNode, UsageGraph

      public interface NodeVisitorAcceptor

  Interface for how a node should accept a NodeVisitor. The node may choose to send the visitor to it's contained nodes.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `accept(NodeVisitor visitor, Object data)`

- - ### Method Detail

    - #### accept

          Object accept(NodeVisitor visitor,
                      Object data)

Copyright © 2002-2013 InfoEther. All Rights Reserved.